Subject: bug#79469: 31.0.50; Ungrammatical sentence from describe-function

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Sep 2025 09:00:32 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of
>  text editors" <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Fri, 19 Sep 2025 01:01:29 +0200
> 
> On Fri, 19 Sep 2025 00:46:53 +0200 Joost Kremers <[email-masked]> wrote:
> 
> > Potentially problematic, because not every word that starts with "u" gets
> > "an". And sometimes words starting with "h" also need "an".
> 
> Yes, that's why I wrote in my OP: "While all three are ad hoc fixes, I
> think the undoubted complexity of a more general fix is unjustified
> here, because (unless I've overlooked something) `interpreted-function'
> is the only function type symbol returned by `cl-type-of' in
> `help-fns-function-description-header' that results in the problem
> (since it begins with a vowel)."

If we don't care about being wrong in some cases, then why fix this to
begin with?